

A bio_put() of a freed BIO has been spotted.



 fs/bio.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/bio.c~bio-debug-trap fs/bio.c
--- 25/fs/bio.c~bio-debug-trap	2003-06-26 18:20:01.000000000 -0700
+++ 25-akpm/fs/bio.c	2003-06-26 18:20:01.000000000 -0700
@@ -176,6 +176,8 @@ void bio_put(struct bio *bio)
 {
 	BIO_BUG_ON(!atomic_read(&bio->bi_cnt));
 
+	BUG_ON(bio->bi_flags == 0x6b6b6b6b);	/* A freed bio! */
+
 	/*
 	 * last put frees it
 	 */

_
